Subject: Re: [PATCH net-next v3 4/7] net: mscc: Add initial Ocelot switch support

From: Andrew Lunn <[email-masked]>
Date: Mon, 14 May 2018 22:56:53 +0200

On Mon, May 14, 2018 at 10:04:57PM +0200, Alexandre Belloni wrote:
> Add a driver for Microsemi Ocelot Ethernet switch support.
> 
> This makes two modules:
> mscc_ocelot_common handles all the common features that doesn't depend on
> how the switch is integrated in the SoC. Currently, it handles offloading
> bridging to the hardware. ocelot_io.c handles register accesses. This is
> unfortunately needed because the register layout is packed and then depends
> on the number of ports available on the switch. The register definition
> files are automatically generated.
> 
> ocelot_board handles the switch integration on the SoC and on the board.
> 
> Frame injection and extraction to/from the CPU port is currently done using
> register accesses which is quite slow. DMA is possible but the port is not
> able to absorb the whole switch bandwidth.
> 
> Signed-off-by: Alexandre Belloni <[email-masked]>

Hi Alexandre

There are a few Christmas trees which are not fully reversed. DaveM
might want them putting right.

But otherwise i think this is good enough to be merged.

Reviewed-by: Andrew Lunn <[email-masked]>

    Andrew